Subject: Re: bug#26222: [PATCH] gnu: freedoom: Avoid the need to propagate prboom-plus.
From: Kei Kebreau <[email-masked]>
To: Marius Bakke <[email-masked]>
Cc: [email-masked]
Date: Sat, 01 Apr 2017 19:19:26 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Kei Kebreau <[email-masked]> writes:

> Marius Bakke <[email-masked]> writes:
>
>> Kei Kebreau <[email-masked]> writes:
>>
>> From reading the "dist/freedoom" shell script, it looks like it tries
>> prboom-plus automatically if it exists in PATH. Does this not work? It
>> also tries a bunch of other engines, so I don't think we should hard
>> code one.
>>
>
> In that case, we could instead leave the package as is and have users
> install prboom-plus (or future engines when they are packaged)
> manually. Freedoom's package description already mentions that it needs
> a compatible engine to run. If you think that's enough for a casual user
> to notice, I'm fine with dropping the patch.
>

I've decided against this patch, as we may have other Doom engines
available in the future. Thank you for your time, Marius.